# Description

Please include a summary of the change, mentioning any issues that are fixed (or partially fixed) by this change.

Please also include relevant motivation and context.

e.g. "Fixes #99"

## Type of change

Please delete options that are not relevant.

- Refactoring (improvements to code design or tooling that don't change behaviour)
- Bug fix (non-breaking change which fixes an issue)
- New feature (non-breaking change which adds new behaviour)
- Breaking change (will cause existing functionality to not
  work as expected)
- This change requires an update of [cucumber.io/docs](https://cucumber.io/docs)

Please add an entry to the relevant section of CHANGELOG.md as part of this pull request.

## Note to other contributors

If your change may impact future contributors, explain it here, and remember to update README.md and CONTRIBUTING.md accordingly.

## Update required of cucumber.io/docs

If the [Cucumber documentation](https://cucumber.io/docs/) requires an update,
submit a PR to [cucumber/docs](https://github.com/cucumber/docs/) and
reference it here.

e.g. "Ref: cucumber/docs/pull/#99"

# Checklist:

Your PR is ready for review once the following checklist is
complete. You can also add some checks if you want to.

- [ ] Tests have been added for any changes to behaviour of the code
- [ ] New and existing tests are passing locally and on CI
- [ ] `bundle exec rubocop` reports no offenses
- [ ] RDoc comments have been updated
- [ ] CHANGELOG.md has been updated
